<div class="container-fluid" style="height: 100%">
  <app-navigation-bar></app-navigation-bar>
  <div class="container">
    <div class="row">
      <div class="card px-0 pt-1">
        <div class="card-header w-100 d-flex justify-content-between">
          <h2 class="m-0">Nouvelle promotion</h2>
        </div>
        <div class="card-body">
          <form [formGroup]="formGroup" (ngSubmit)="handleSubmit()">
            <div class="mb-3">
              <label for="name" class="mb-1">Nom de la promotion</label>
              <input type="text" formControlName="name" id="name" class="form-control">
            </div>
            <div class="mb-3">
              <label for="name" class="mb-1">Etudiants</label>
              <ng-select [ngModelOptions]="{standalone: true}" [(ngModel)]="selectedUsers" [items]="users" multiple="true" bindLabel="email" bindValue="id"></ng-select>
            </div>
            <div class="mb-3" *ngIf="selectedUsers.length > 0">
              <div class="row">
                <div class="col-md-3" *ngFor="let user of getSelectedUsers()">
                  <div class="card">
                    <div class="card-header text-capitalize fw-bolder">{{user.firstname}} {{user.lastname}}</div>
                    <div class="card-content p-2">
                      {{user.email}}
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div>
              <button class="btn btn-success" type="submit">Enregistrer</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
